/**
 * EasyBeans
 * Copyright (C) 2007 Bull S.A.S.
 * Contact: easybeans@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: WARDeployable.java 1335 2007-04-24 12:47:31Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.objectweb.easybeans.deployer.api;


/**
 * Represents a WAR deployable.
 * @author Florent Benoit
 */
public interface WARDeployable extends EZBDeployable {

    /**
     * @return the list of the context root for this deployable.<br>
     * Note: It can be the context-root defined at the EAR level.
     */
    String getContextRoot();

    /**
     * Defines the name of the context-root.
     * @param contextRoot the given context-root for this war file
     */
    void setContextRoot(final String contextRoot);

}
