/**
 * EasyBeans
 * Copyright (C) 2006 Bull S.A.S.
 * Contact: easybeans@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: J2EEDeployedObjectMBean.java 646 2006-06-13 12:09:43Z sauthieg $
 * --------------------------------------------------------------------------
 */

package org.objectweb.easybeans.jsr77;

import javax.management.MBeanException;

import org.objectweb.easybeans.api.EZBServer;
import org.objectweb.easybeans.container.JContainer3;
import org.objectweb.easybeans.jmx.MBeansException;
import org.objectweb.easybeans.jmx.MBeansHelper;

/**
 * J2EEDeployedObject JSR77 MBean.
 * @author Guillaume Sauthier
 */
public class J2EEDeployedObjectMBean extends J2EEManagedObjectMBean<JContainer3> {

    /**
     * Creates a J2EEDeployedObject.
     * @throws MBeanException if creation fails.
     */
    public J2EEDeployedObjectMBean() throws MBeanException {
        super();
    }

    /**
     * @return Returns the XML Deployment Descriptors of the Module.
     */
    public String getDeploymentDescriptor() {
        // TODO implement it !
        throw new UnsupportedOperationException("Not implemented yet !");
    }

    /**
     * @return Returns the J2EEServer ObjectName.
     */
    public String getServer() {
        EZBServer server = getManagedComponent().getConfiguration().getEZBServer();
        try {
            return MBeansHelper.getInstance().getObjectName(server);
        } catch (MBeansException e) {
            getLogger().warn("Cannot retrieve ObjectName for EZBServer ''{0}''", server.getID());
            return null;
        }
    }
}
