/**
 * EasyBeans
 * Copyright (C) 2006 Bull S.A.S.
 * Contact: easybeans@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: EJBInjectionBean.java 905 2006-07-21 10:05:25Z studzine $
 * --------------------------------------------------------------------------
 */
package org.objectweb.easybeans.tests.common.ejbs.base;

import javax.ejb.Remote;
import javax.ejb.Stateless;

import org.objectweb.easybeans.log.JLog;
import org.objectweb.easybeans.log.JLogFactory;


/**
 * This bean is used to test the EJB injection.
 * @author Eduardo Studzinski Estima de Castro
 * @author Gisele Pinheiro Souza
 *
 */
@Stateless(name="EJBInjectionBean")
@Remote(ItfOneMethod01.class)
public class EJBInjectionBean implements ItfOneMethod01{

    /**
     * Log helper.
     */
    private JLog logger = JLogFactory.getLog(EJBInjectionBean.class);

    /**
     * @return true
     */
    public boolean getBool(){
        logger.debug("=== SIMPLE BEAN ===");
        return true;
    }
}
